Assignee: Jean-Philippe Lang % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be really nice if it was possible to export the roadmap to a PDF file.

History

#1 - 2010-03-20 00:14 - agostinho sousa

- Assignee set to Eric Davis

teste de frequencia

#2 - 2010-04-10 03:11 - Eric Davis

- Assignee deleted (Eric Davis)

#3 - 2010-04-13 17:21 - Oleg Ivanov

- File roadmap_pdf_export.patch added

here's a patch that adds PDF export option to roadmap and individual version's pages. It's a bit more extensive that the pages themselves as it also

includes detailed exports of all included issues - while it may be an overkill for some, it was a requirement for me. Maybe someone would like to make

it optional.

The patch also fixes a bug in FPDF that prevented from adding more then one link to the document due to the typo in FPDF::Link method.

#4 - 2010-06-28 21:09 - Doug Goldstein

- Assignee set to Eric Davis

Eric,

You and I discussed this one in IRC last week and you told me to assign it to you and you'd make some comments. Thanks.

#5 - 2010-07-02 00:19 - Doug Goldstein

- File roadmap-pdf-updated.patch added

Eric,

One of our developers at the office update the patch to apply cleanly to 0.9.4 (it applies to 0.9.5 as well). I've attached it here.

#6 - 2010-10-25 17:00 - Eric Davis

- Assignee deleted (Eric Davis)

#7 - 2011-02-04 15:40 - Etienne Massip

- Category set to PDF export

#8 - 2012-09-13 13:41 - Radek Antoniuk

- Assignee set to Jean-Philippe Lang

guys, you have the patch for almost two years now, please integrate it into trunk as it would be quite useful to have it.

keep up the good work! :)
#9 - 2012-09-13 21:24 - Jean-Philippe Lang

- Target version set to 2.2.0

#10 - 2012-09-18 18:51 - Jean-Philippe Lang

Exporting the full roadmap with all issues details (as proposed in the patch) may produce huge pdf and be very slow. I think that limiting the export to

a single version would be safer.

#11 - 2012-11-30 11:09 - Jean-Philippe Lang

- Target version deleted (2.2.0)

PDF exports are far from perfect and not easy to maintain. While existing ones will stay maintained in the core, I don't want to add more PDF exports.

Exporting the issue list grouped by versions gives a PDF that is pretty close to what a roadmap export would be.

#12 - 2013-03-12 23:06 - Robert Hailey

In case anyone was wondering, this patch does not apply to the 1.4.x branch, even when taking into account the *.rhtml -> *.html.erb transitions.

#13 - 2013-07-31 16:57 - Martin Grotzke

I'd be interested in exactly this: a pdf export of the roadmap including issue details. A separate export for each version would also be fine.

#14 - 2016-06-15 15:52 - Paulo Moreira

+1 ;)

#15 - 2023-11-03 12:33 - Alexander Watzinger

+1 ;)

Files

roadmap_pdf_export.patch 11 KB 2010-04-13 Oleg Ivanov

roadmap-pdf-updated.patch 11.9 KB 2010-07-01 Doug Goldstein
